From Proxscripts Documentation
Revision as of 12:32, 10 May 2019 by Maksa (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Minimum Server Requirements
  • Linux Server with PHP and MYSQL
    • The ProXCore script runs on Linux Server with PHP and MYSQL
  • cPanel Based Hosting
    • cPanel is highly recommended. Our support is available on cPanel only. We do not offer support on any other control panels.
  • PHP Version 5.4
    • PDO
    • GD Library
    • FreeType Library
    • cURL With SSL
    • Hash
    • JSON
    • SOAP
    • mcrypt
    • gzip
  • MySQL 4 or above
  • mySql Strict Mode : Disable
  • IonCube Loader (Version 5.1.1 or Higher)

Note : Sign In With Facebook Or CoinBase
If you want to use Facebook Plugin (Sign In With Facebook option) Or CoinBase (Payment Processor), then you will need to have PHP Version 5.4+. Please don't also use latest PHP version as some script functionalities may not work.Our recommended PHP Version is 5.4. We have tested our script thoroughly with PHP version 5.3 and you may try using PHP Version 5.4, but not after these versions. If you wish to use the latest PHP version, then do so at your own risk.

The following values are recommended for peak performance. Please note that they are necessary to set in order to run the script. These settings would matter after your site has a lot data. Please note that the values that include figures/numbers could vary depending on your hosting. But, the values like "On", "Off", "no value" must be set exactly as they are mentioned:

Kindly do the following PHP Configuration in order to get optimum performance :
OpenSSL support : enabled
Multibyte Support (mbstring) : enabled
max_execution_time : 1200
memory_limit : Minimum 256M (The higher the memory_limit the better)
allow_url_fopen : On
allow_url_include : On
session.auto_start : On
session.use_cookies : On
session.save_path : /tmp
suhosin.session.encrypt : off
output_buffering : 4096
magic_quotes_gpc : Off
mysql.connect_timeout : 100
upload_max_filesize : 5M
max_input_time : 600
open_basedir : no value
Default timezone : UTC / Any Valid timezone

If PHP configurations are not set properly as per the Script Requirements, contact the hosting team for the same. Please note that changes for PHP Configurations should be applicable for all sub directories of the domain and not only for the root or public_html directory.

After changing the PHP Configurations, please check the script requirements from below URL :
[YOUR SITE URL]/requirement

Hosting Recommendation

Minimum 256 MB RAM is required to run this software. However, the recommended RAM is 1 GB for smooth performance. Again this depends on your traffic and member base. If you are receiving more traffic, then it is always better to have a VPS or a Dedicated Server depending on your budget. But, for starters, you can go for a shared hosting package and if the need arises, you can then opt for a VPS or Dedicated Server.

Note for VPS Users : If you are purchasing a VPS, then make sure that you go for more than 1 GB of RAM because if you opt for a lower end VPS, then most of your RAM will be utilized by your operating system and cPanel software.

We recommend ZamaHost.com for all your hosting requirements.